Package htsjdk.beta.plugin

# Interface Upgradeable

All Known Subinterfaces:
  `HaploidReferenceCodec`, `HtsCodec<D,E>`, `ReadsCodec`, `VariantsCodec`

All Known Implementing Classes:
  `BAMCodec`, `BAMCodecV1_0`, `CRAMCodec`, `CRAMCodecV2_1`, `CRAMCodecV3_0`, `CRAMCodecV3_1`, `FASTACodecV1_0`, `HtsgetBAMCodec`, `HtsgetBAMCodecV1_2`, `SAMCodec`, `SAMCodecV1_0`, `VCFCodec`, `VCFCodecV3_2`, `VCFCodecV3_3`, `VCFCodecV4_0`, `VCFCodecV4_1`, `VCFCodecV4_2`, `VCFCodecV4_3`

public interface Upgradeable
Placeholder interface for methods for upgrading one version of a format to a newer version.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`runVersionUpgrade(HtsVersion sourceCodecVersion, HtsVersion targetCodecVersion)`

## Method Details

### runVersionUpgrade

boolean runVersionUpgrade(HtsVersion sourceCodecVersion, HtsVersion targetCodecVersion)